> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a location

> Updates a location. Required permission: assets:location:update



## OpenAPI

````yaml /api/core-api/crmiapi.json put /api/v1/assets/locations/{id}
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/locations/{id}:
    put:
      tags:
        - Locations
      summary: Updates a location
      description: 'Updates a location. Required permission: assets:location:update'
      operationId: /api/v1/assets/locations/{id}_PUT
      parameters:
        - name: id
          in: path
          description: ID of the location
          required: true
          schema:
            type: integer
            format: int32
            description: ID of the location
      requestBody:
        description: 'Updates a location. Required permission: assets:location:update'
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - status
                - street
                - postal_code
                - city
                - country_code
                - latitude
                - longitude
                - operator
                - operator_id
                - support_hotline_country
                - support_hotline
              properties:
                publish:
                  type: boolean
                  default: true
                  description: is the location published
                name:
                  type: string
                  maxLength: 100
                  description: Name of the Location
                identifier:
                  type: string
                  maxLength: 5
                  pattern: /^[A-z0-9]{0,5}$/
                  description: Identifier
                  example: BUS02
                status:
                  type: string
                  enum:
                    - in_questioning
                    - in_offer
                    - first_meeting
                    - in_planning
                    - under_construction
                    - active
                    - out_of_order
                    - no_activity
                    - discarded
                    - undefined
                  description: Status
                street:
                  type: string
                  maxLength: 100
                  description: Street
                house_number:
                  type: string
                  maxLength: 10
                  description: House Number
                postal_code:
                  type: string
                  maxLength: 16
                  description: Postal Code
                city:
                  type: string
                  maxLength: 100
                  description: City
                district:
                  type: string
                  maxLength: 100
                  description: District
                rural_district:
                  type: string
                  maxLength: 100
                  description: Rural District
                country_code:
                  type: string
                  enum:
                    - abw
                    - afg
                    - ago
                    - aia
                    - ala
                    - alb
                    - and
                    - are
                    - arg
                    - arm
                    - asm
                    - ata
                    - atf
                    - atg
                    - aus
                    - aut
                    - aze
                    - bdi
                    - bel
                    - ben
                    - bes
                    - bfa
                    - bgd
                    - bgr
                    - bhr
                    - bhs
                    - bih
                    - blm
                    - blr
                    - blz
                    - bmu
                    - bol
                    - bra
                    - brb
                    - brn
                    - btn
                    - bvt
                    - bwa
                    - caf
                    - can
                    - cck
                    - che
                    - chl
                    - chn
                    - civ
                    - cmr
                    - cod
                    - cog
                    - cok
                    - col
                    - com
                    - cpv
                    - cri
                    - cub
                    - cuw
                    - cxr
                    - cym
                    - cyp
                    - cze
                    - deu
                    - dji
                    - dma
                    - dnk
                    - dom
                    - dza
                    - ecu
                    - egy
                    - eri
                    - esh
                    - esp
                    - est
                    - eth
                    - fin
                    - fji
                    - flk
                    - fra
                    - fro
                    - fsm
                    - gab
                    - gbr
                    - geo
                    - ggy
                    - gha
                    - gib
                    - gin
                    - glp
                    - gmb
                    - gnb
                    - gnq
                    - grc
                    - grd
                    - grl
                    - gtm
                    - guf
                    - gum
                    - guy
                    - hkg
                    - hmd
                    - hnd
                    - hrv
                    - hti
                    - hun
                    - idn
                    - imn
                    - ind
                    - iot
                    - irl
                    - irn
                    - irq
                    - isl
                    - isr
                    - ita
                    - jam
                    - jey
                    - jor
                    - jpn
                    - kaz
                    - ken
                    - kgz
                    - khm
                    - kir
                    - kna
                    - kor
                    - kwt
                    - lao
                    - lbn
                    - lbr
                    - lby
                    - lca
                    - lie
                    - lka
                    - lso
                    - ltu
                    - lux
                    - lva
                    - mac
                    - maf
                    - mar
                    - mco
                    - mda
                    - mdg
                    - mdv
                    - mex
                    - mhl
                    - mkd
                    - mli
                    - mlt
                    - mmr
                    - mne
                    - mng
                    - mnp
                    - moz
                    - mrt
                    - msr
                    - mtq
                    - mus
                    - mwi
                    - mys
                    - myt
                    - nam
                    - ncl
                    - ner
                    - nfk
                    - nga
                    - nic
                    - niu
                    - nld
                    - nor
                    - npl
                    - nru
                    - nzl
                    - omn
                    - pak
                    - pan
                    - pcn
                    - per
                    - phl
                    - plw
                    - png
                    - pol
                    - pri
                    - prk
                    - prt
                    - pry
                    - pse
                    - pyf
                    - qat
                    - reu
                    - rou
                    - rus
                    - rwa
                    - sau
                    - sdn
                    - sen
                    - sgp
                    - sgs
                    - shn
                    - sjm
                    - slb
                    - sle
                    - slv
                    - smr
                    - som
                    - spm
                    - srb
                    - ssd
                    - stp
                    - sur
                    - svk
                    - svn
                    - swe
                    - swz
                    - sxm
                    - syc
                    - syr
                    - tca
                    - tcd
                    - tgo
                    - tha
                    - tjk
                    - tkl
                    - tkm
                    - tls
                    - ton
                    - tto
                    - tun
                    - tur
                    - tuv
                    - twn
                    - tza
                    - uga
                    - ukr
                    - umi
                    - ury
                    - usa
                    - uzb
                    - vat
                    - vct
                    - ven
                    - vgb
                    - vir
                    - vnm
                    - vut
                    - wlf
                    - wsm
                    - xkx
                    - yem
                    - zaf
                    - zmb
                    - zwe
                  description: country Code
                latitude:
                  type: number
                  format: float
                  description: Latitude
                  example: '50.946022'
                longitude:
                  type: number
                  format: float
                  description: Longitude
                  example: '6.942467'
                height:
                  type: number
                  format: float
                  minimum: 0
                  description: the height
                directions:
                  type: string
                  maxLength: 500
                  description: Directions to the location
                description:
                  type: string
                  maxLength: 500
                  description: Description
                website:
                  type: string
                  maxLength: 200
                  description: Website of the location
                comment:
                  type: string
                  maxLength: 500
                  description: Comment
                operator:
                  type: string
                  maxLength: 100
                  description: Operator
                operator_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Operator id
                partner:
                  type: string
                  maxLength: 255
                  description: Partner
                accounter:
                  type: string
                  maxLength: 64
                  description: Accounter
                support_hotline_country:
                  type: string
                  enum:
                    - abw
                    - afg
                    - ago
                    - aia
                    - ala
                    - alb
                    - and
                    - are
                    - arg
                    - arm
                    - asm
                    - ata
                    - atf
                    - atg
                    - aus
                    - aut
                    - aze
                    - bdi
                    - bel
                    - ben
                    - bes
                    - bfa
                    - bgd
                    - bgr
                    - bhr
                    - bhs
                    - bih
                    - blm
                    - blr
                    - blz
                    - bmu
                    - bol
                    - bra
                    - brb
                    - brn
                    - btn
                    - bvt
                    - bwa
                    - caf
                    - can
                    - cck
                    - che
                    - chl
                    - chn
                    - civ
                    - cmr
                    - cod
                    - cog
                    - cok
                    - col
                    - com
                    - cpv
                    - cri
                    - cub
                    - cuw
                    - cxr
                    - cym
                    - cyp
                    - cze
                    - deu
                    - dji
                    - dma
                    - dnk
                    - dom
                    - dza
                    - ecu
                    - egy
                    - eri
                    - esh
                    - esp
                    - est
                    - eth
                    - fin
                    - fji
                    - flk
                    - fra
                    - fro
                    - fsm
                    - gab
                    - gbr
                    - geo
                    - ggy
                    - gha
                    - gib
                    - gin
                    - glp
                    - gmb
                    - gnb
                    - gnq
                    - grc
                    - grd
                    - grl
                    - gtm
                    - guf
                    - gum
                    - guy
                    - hkg
                    - hmd
                    - hnd
                    - hrv
                    - hti
                    - hun
                    - idn
                    - imn
                    - ind
                    - iot
                    - irl
                    - irn
                    - irq
                    - isl
                    - isr
                    - ita
                    - jam
                    - jey
                    - jor
                    - jpn
                    - kaz
                    - ken
                    - kgz
                    - khm
                    - kir
                    - kna
                    - kor
                    - kwt
                    - lao
                    - lbn
                    - lbr
                    - lby
                    - lca
                    - lie
                    - lka
                    - lso
                    - ltu
                    - lux
                    - lva
                    - mac
                    - maf
                    - mar
                    - mco
                    - mda
                    - mdg
                    - mdv
                    - mex
                    - mhl
                    - mkd
                    - mli
                    - mlt
                    - mmr
                    - mne
                    - mng
                    - mnp
                    - moz
                    - mrt
                    - msr
                    - mtq
                    - mus
                    - mwi
                    - mys
                    - myt
                    - nam
                    - ncl
                    - ner
                    - nfk
                    - nga
                    - nic
                    - niu
                    - nld
                    - nor
                    - npl
                    - nru
                    - nzl
                    - omn
                    - pak
                    - pan
                    - pcn
                    - per
                    - phl
                    - plw
                    - png
                    - pol
                    - pri
                    - prk
                    - prt
                    - pry
                    - pse
                    - pyf
                    - qat
                    - reu
                    - rou
                    - rus
                    - rwa
                    - sau
                    - sdn
                    - sen
                    - sgp
                    - sgs
                    - shn
                    - sjm
                    - slb
                    - sle
                    - slv
                    - smr
                    - som
                    - spm
                    - srb
                    - ssd
                    - stp
                    - sur
                    - svk
                    - svn
                    - swe
                    - swz
                    - sxm
                    - syc
                    - syr
                    - tca
                    - tcd
                    - tgo
                    - tha
                    - tjk
                    - tkl
                    - tkm
                    - tls
                    - ton
                    - tto
                    - tun
                    - tur
                    - tuv
                    - twn
                    - tza
                    - uga
                    - ukr
                    - umi
                    - ury
                    - usa
                    - uzb
                    - vat
                    - vct
                    - ven
                    - vgb
                    - vir
                    - vnm
                    - vut
                    - wlf
                    - wsm
                    - xkx
                    - yem
                    - zaf
                    - zmb
                    - zwe
                  description: Country of the support hotline
                support_hotline:
                  type: string
                  maxLength: 25
                  description: Support hotline
                comment_usage_agreement:
                  type: string
                  maxLength: 500
                  description: Comment usage agreement
                level_measurement:
                  type: string
                  maxLength: 200
                  description: Level measurement
                network_carrier:
                  type: string
                  maxLength: 255
                  description: Network carrier
                available_power:
                  type: string
                  maxLength: 100
                  description: Available power
                additional_conditions:
                  type: string
                  maxLength: 500
                  description: Additional conditions
                contract_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Contract id
                facility_types:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        description: Facility type id
                      uuid:
                        type: string
                        maxLength: 36
                        description: Facility type UUID
                      name:
                        type: string
                        maxLength: 30
                        description: Facility type name
                    required:
                      - id
                      - uuid
                      - name
                    description: FacilityType
                  description: facility type
        required: true
      responses:
        '200':
          description: Location edited
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - location
                properties:
                  location:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Location id
                      created_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of creation
                      updated_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of update
                      modification_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of modification
                      controllers:
                        type: array
                        items:
                          type: object
                          properties:
                            controller_uuid:
                              type: string
                              description: Uuid of the controller
                          required:
                            - controller_uuid
                        description: List of linked controller UUIDs of the location
                      publish:
                        type: boolean
                        default: true
                        description: is the location published
                      name:
                        type: string
                        maxLength: 100
                        description: Name of the Location
                      identifier:
                        type: string
                        maxLength: 5
                        pattern: /^[A-z0-9]{0,5}$/
                        description: Identifier
                        example: BUS02
                      status:
                        type: string
                        enum:
                          - in_questioning
                          - in_offer
                          - first_meeting
                          - in_planning
                          - under_construction
                          - active
                          - out_of_order
                          - no_activity
                          - discarded
                          - undefined
                        description: Status
                      street:
                        type: string
                        maxLength: 100
                        description: Street
                      house_number:
                        type: string
                        maxLength: 10
                        description: House Number
                      postal_code:
                        type: string
                        maxLength: 16
                        description: Postal Code
                      city:
                        type: string
                        maxLength: 100
                        description: City
                      district:
                        type: string
                        maxLength: 100
                        description: District
                      rural_district:
                        type: string
                        maxLength: 100
                        description: Rural District
                      country_code:
                        type: string
                        enum:
                          - abw
                          - afg
                          - ago
                          - aia
                          - ala
                          - alb
                          - and
                          - are
                          - arg
                          - arm
                          - asm
                          - ata
                          - atf
                          - atg
                          - aus
                          - aut
                          - aze
                          - bdi
                          - bel
                          - ben
                          - bes
                          - bfa
                          - bgd
                          - bgr
                          - bhr
                          - bhs
                          - bih
                          - blm
                          - blr
                          - blz
                          - bmu
                          - bol
                          - bra
                          - brb
                          - brn
                          - btn
                          - bvt
                          - bwa
                          - caf
                          - can
                          - cck
                          - che
                          - chl
                          - chn
                          - civ
                          - cmr
                          - cod
                          - cog
                          - cok
                          - col
                          - com
                          - cpv
                          - cri
                          - cub
                          - cuw
                          - cxr
                          - cym
                          - cyp
                          - cze
                          - deu
                          - dji
                          - dma
                          - dnk
                          - dom
                          - dza
                          - ecu
                          - egy
                          - eri
                          - esh
                          - esp
                          - est
                          - eth
                          - fin
                          - fji
                          - flk
                          - fra
                          - fro
                          - fsm
                          - gab
                          - gbr
                          - geo
                          - ggy
                          - gha
                          - gib
                          - gin
                          - glp
                          - gmb
                          - gnb
                          - gnq
                          - grc
                          - grd
                          - grl
                          - gtm
                          - guf
                          - gum
                          - guy
                          - hkg
                          - hmd
                          - hnd
                          - hrv
                          - hti
                          - hun
                          - idn
                          - imn
                          - ind
                          - iot
                          - irl
                          - irn
                          - irq
                          - isl
                          - isr
                          - ita
                          - jam
                          - jey
                          - jor
                          - jpn
                          - kaz
                          - ken
                          - kgz
                          - khm
                          - kir
                          - kna
                          - kor
                          - kwt
                          - lao
                          - lbn
                          - lbr
                          - lby
                          - lca
                          - lie
                          - lka
                          - lso
                          - ltu
                          - lux
                          - lva
                          - mac
                          - maf
                          - mar
                          - mco
                          - mda
                          - mdg
                          - mdv
                          - mex
                          - mhl
                          - mkd
                          - mli
                          - mlt
                          - mmr
                          - mne
                          - mng
                          - mnp
                          - moz
                          - mrt
                          - msr
                          - mtq
                          - mus
                          - mwi
                          - mys
                          - myt
                          - nam
                          - ncl
                          - ner
                          - nfk
                          - nga
                          - nic
                          - niu
                          - nld
                          - nor
                          - npl
                          - nru
                          - nzl
                          - omn
                          - pak
                          - pan
                          - pcn
                          - per
                          - phl
                          - plw
                          - png
                          - pol
                          - pri
                          - prk
                          - prt
                          - pry
                          - pse
                          - pyf
                          - qat
                          - reu
                          - rou
                          - rus
                          - rwa
                          - sau
                          - sdn
                          - sen
                          - sgp
                          - sgs
                          - shn
                          - sjm
                          - slb
                          - sle
                          - slv
                          - smr
                          - som
                          - spm
                          - srb
                          - ssd
                          - stp
                          - sur
                          - svk
                          - svn
                          - swe
                          - swz
                          - sxm
                          - syc
                          - syr
                          - tca
                          - tcd
                          - tgo
                          - tha
                          - tjk
                          - tkl
                          - tkm
                          - tls
                          - ton
                          - tto
                          - tun
                          - tur
                          - tuv
                          - twn
                          - tza
                          - uga
                          - ukr
                          - umi
                          - ury
                          - usa
                          - uzb
                          - vat
                          - vct
                          - ven
                          - vgb
                          - vir
                          - vnm
                          - vut
                          - wlf
                          - wsm
                          - xkx
                          - yem
                          - zaf
                          - zmb
                          - zwe
                        description: country Code
                      latitude:
                        type: number
                        format: float
                        description: Latitude
                        example: '50.946022'
                      longitude:
                        type: number
                        format: float
                        description: Longitude
                        example: '6.942467'
                      height:
                        type: number
                        format: float
                        minimum: 0
                        description: the height
                      directions:
                        type: string
                        maxLength: 500
                        description: Directions to the location
                      description:
                        type: string
                        maxLength: 500
                        description: Description
                      website:
                        type: string
                        maxLength: 200
                        description: Website of the location
                      comment:
                        type: string
                        maxLength: 500
                        description: Comment
                      operator:
                        type: string
                        maxLength: 100
                        description: Operator
                      operator_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Operator id
                      partner:
                        type: string
                        maxLength: 255
                        description: Partner
                      accounter:
                        type: string
                        maxLength: 64
                        description: Accounter
                      support_hotline_country:
                        type: string
                        enum:
                          - abw
                          - afg
                          - ago
                          - aia
                          - ala
                          - alb
                          - and
                          - are
                          - arg
                          - arm
                          - asm
                          - ata
                          - atf
                          - atg
                          - aus
                          - aut
                          - aze
                          - bdi
                          - bel
                          - ben
                          - bes
                          - bfa
                          - bgd
                          - bgr
                          - bhr
                          - bhs
                          - bih
                          - blm
                          - blr
                          - blz
                          - bmu
                          - bol
                          - bra
                          - brb
                          - brn
                          - btn
                          - bvt
                          - bwa
                          - caf
                          - can
                          - cck
                          - che
                          - chl
                          - chn
                          - civ
                          - cmr
                          - cod
                          - cog
                          - cok
                          - col
                          - com
                          - cpv
                          - cri
                          - cub
                          - cuw
                          - cxr
                          - cym
                          - cyp
                          - cze
                          - deu
                          - dji
                          - dma
                          - dnk
                          - dom
                          - dza
                          - ecu
                          - egy
                          - eri
                          - esh
                          - esp
                          - est
                          - eth
                          - fin
                          - fji
                          - flk
                          - fra
                          - fro
                          - fsm
                          - gab
                          - gbr
                          - geo
                          - ggy
                          - gha
                          - gib
                          - gin
                          - glp
                          - gmb
                          - gnb
                          - gnq
                          - grc
                          - grd
                          - grl
                          - gtm
                          - guf
                          - gum
                          - guy
                          - hkg
                          - hmd
                          - hnd
                          - hrv
                          - hti
                          - hun
                          - idn
                          - imn
                          - ind
                          - iot
                          - irl
                          - irn
                          - irq
                          - isl
                          - isr
                          - ita
                          - jam
                          - jey
                          - jor
                          - jpn
                          - kaz
                          - ken
                          - kgz
                          - khm
                          - kir
                          - kna
                          - kor
                          - kwt
                          - lao
                          - lbn
                          - lbr
                          - lby
                          - lca
                          - lie
                          - lka
                          - lso
                          - ltu
                          - lux
                          - lva
                          - mac
                          - maf
                          - mar
                          - mco
                          - mda
                          - mdg
                          - mdv
                          - mex
                          - mhl
                          - mkd
                          - mli
                          - mlt
                          - mmr
                          - mne
                          - mng
                          - mnp
                          - moz
                          - mrt
                          - msr
                          - mtq
                          - mus
                          - mwi
                          - mys
                          - myt
                          - nam
                          - ncl
                          - ner
                          - nfk
                          - nga
                          - nic
                          - niu
                          - nld
                          - nor
                          - npl
                          - nru
                          - nzl
                          - omn
                          - pak
                          - pan
                          - pcn
                          - per
                          - phl
                          - plw
                          - png
                          - pol
                          - pri
                          - prk
                          - prt
                          - pry
                          - pse
                          - pyf
                          - qat
                          - reu
                          - rou
                          - rus
                          - rwa
                          - sau
                          - sdn
                          - sen
                          - sgp
                          - sgs
                          - shn
                          - sjm
                          - slb
                          - sle
                          - slv
                          - smr
                          - som
                          - spm
                          - srb
                          - ssd
                          - stp
                          - sur
                          - svk
                          - svn
                          - swe
                          - swz
                          - sxm
                          - syc
                          - syr
                          - tca
                          - tcd
                          - tgo
                          - tha
                          - tjk
                          - tkl
                          - tkm
                          - tls
                          - ton
                          - tto
                          - tun
                          - tur
                          - tuv
                          - twn
                          - tza
                          - uga
                          - ukr
                          - umi
                          - ury
                          - usa
                          - uzb
                          - vat
                          - vct
                          - ven
                          - vgb
                          - vir
                          - vnm
                          - vut
                          - wlf
                          - wsm
                          - xkx
                          - yem
                          - zaf
                          - zmb
                          - zwe
                        description: Country of the support hotline
                      support_hotline:
                        type: string
                        maxLength: 25
                        description: Support hotline
                      comment_usage_agreement:
                        type: string
                        maxLength: 500
                        description: Comment usage agreement
                      level_measurement:
                        type: string
                        maxLength: 200
                        description: Level measurement
                      network_carrier:
                        type: string
                        maxLength: 255
                        description: Network carrier
                      available_power:
                        type: string
                        maxLength: 100
                        description: Available power
                      additional_conditions:
                        type: string
                        maxLength: 500
                        description: Additional conditions
                      contract_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Contract id
                      facility_types:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int32
                              description: Facility type id
                            uuid:
                              type: string
                              maxLength: 36
                              description: Facility type UUID
                            name:
                              type: string
                              maxLength: 30
                              description: Facility type name
                          required:
                            - id
                            - uuid
                            - name
                          description: FacilityType
                        description: facility type
                    required:
                      - id
                      - created_at
                      - updated_at
                      - modification_date
                      - controllers
                      - name
                      - status
                      - street
                      - postal_code
                      - city
                      - country_code
                      - latitude
                      - longitude
                      - operator
                      - operator_id
                      - support_hotline_country
                      - support_hotline
                    description: Location
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '500':
          description: Internal server error
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:location
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves locations](/api-reference/locations/retrieves-locations.md)
- [Creates a location](/api-reference/locations/creates-a-location.md)
- [Retrieves details for a location](/api-reference/locations/retrieves-details-for-a-location.md)
